Bug 66549 - Installation give bug error at the end of install
Installation give bug error at the end of install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-11 21:40 EDT by Clint Walker
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-12 12:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Comment (80.58 KB, text/plain)
2002-06-12 01:07 EDT, Clint Walker
no flags Details

  None (edit)
Description Clint Walker 2002-06-11 21:40:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
At the end of the installtion it quits and says there was an error caused by a 
bug and then it gives me a big dump file to save
File "/usr/lib/anaconda/isys.py", line 171, in umount
    rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run the install
2.wait till it gets the the very end and the message pops up
3.
	

Actual Results:  error occurs

Expected Results:  the installation should have finished properly so i can use 
the OS

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 814, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 529, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 417, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 611, in doInstall
    problems = ts.run(0, ~rpm.RPMPROB_FILTER_DISKSPACE, cb.cb, 0)
  File "/usr/lib/anaconda/packages.py", line 244, in cb
    fn = self.method.getFilename(h, self.pkgTimer)
  File "/usr/lib/anaconda/image.py", line 86, in getFilename
    isys.umount("/mnt/source")
  File "/usr/lib/anaconda/isys.py", line 171, in umount
    rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
what: /mnt/source
removeDir: 1


Package Group selection status:
Base: 1
Printing Support: 1
Classic X Window System: 1
X Window System: 1
Laptop Support: 0
Spelling: 0
GNOME: 1
KDE: 1
Sound and Multimedia Support: 1
Network Support: 1
Dialup Support: 0
Messaging and Web Tools: 1
Graphics and Image Manipulation: 0
Network Server: 0
News Server: 0
NFS File Server: 0
Windows File Server: 0
Anonymous FTP Server: 0
SQL Database Server: 0
Web Server: 0
Router / Firewall: 1
DNS Name Server: 0
Network Managed Workstation: 1
Authoring and Publishing: 1
Emacs: 1
Utilities: 1
Legacy Application Support: 0
Software Development: 1
Kernel Development: 1
Windows Compatibility / Interoperability
Comment 1 Michael Fulbright 2002-06-11 23:22:10 EDT
The error output you attached appears to be truncated - please make sure the
entire anacdump.txt file was attached.
Comment 2 Clint Walker 2002-06-12 01:07:03 EDT
Created attachment 915054 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 3 Michael Fulbright 2002-06-12 12:02:55 EDT
This appears to be resulting from a bad CD - could you please test your CD set
following the instructions at:

http://people.redhat.com/~msf/mediacheck.html
Comment 4 Clint Walker 2002-06-12 12:52:40 EDT
I was able to get this working.  I have a Biostar M7VKQ motherboard and I 
updated the bios and it worked.  I think what was happening is the installer 
was trying to unmount my cdrom to prompt me for the 3rd cd and something was 
hosing that up.  Thanks for your help!
Comment 5 Michael Fulbright 2002-06-20 11:51:31 EDT
Glad to hear its working.

Note You need to log in before you can comment on or make changes to this bug.